package com.ssj.service.sys.train.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.ssj.bean.sys.train.bean.VideoFile;
import com.ssj.dao.sys.train.dao.TrainQueryDao;
import com.ssj.dao.sys.train.dao.VideoFileDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.sys.train.service.VideoFileService;

@Service
@Transactional
public class VideoFileServiceImpl extends BaseServiceImpl<VideoFile, String> implements VideoFileService {

    @Autowired
    private VideoFileDao videoFileDao;
    
    @Autowired
    private TrainQueryDao trainQueryDao;	

    @Override
	public PagingAndSortingRepository<VideoFile, String> getDao() {
		return videoFileDao;
	}


	@Override
	public List<Map<String, Object>> findVideoFileByType() {
		return trainQueryDao.findVideoFileByType();
	}
	
	@Override
	public Page<Map<String, Object>> findVideoFileBySysPage(Map<String, Object> params, Pageable pageable) {
		return trainQueryDao.findVideoFileBySysPage(params, pageable);
	}
    
	@Override
	public Page<Map<String, Object>> findVideoFileByPage(Map<String, Object> params, Pageable pageable) {
		return trainQueryDao.findVideoFileByPage(params, pageable);
	}

	
}

